Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.aBase.util
Class ABaseSwitch<T>

    java.lang.Object
      org.eclipse.emf.ecore.util.Switch<T>
          org.eclipse.amp.amf.abase.aBase.util.ABaseSwitch<T>

    public class ABaseSwitch<T>

extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `ABasePackage`

Field Summary
`protected static ABasePackage` | `modelPackage` The cached model package

Constructor Summary
`ABaseSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseBooleanValue(BooleanValue object)` Returns the result of interpreting the object as an instance of 'Boolean Value'.
`T` | `caseIntValue(IntValue object)` Returns the result of interpreting the object as an instance of 'Int Value'.
`T` | `caseRealValue(RealValue object)` Returns the result of interpreting the object as an instance of 'Real Value'.
`T` | `caseStringValue(StringValue object)` Returns the result of interpreting the object as an instance of 'String Value'.
`T` | `caseValue(Value object)` Returns the result of interpreting the object as an instance of 'Value'.
`T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected boolean` | `isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)` Checks whether this is a switch for the given package.

Methods inherited from class org.eclipse.emf.ecore.util.Switch
`doSwitch, doSwitch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static ABasePackage modelPackage

  The cached model package

Constructor Detail

### ABaseSwitch

    public ABaseSwitch()

  Creates an instance of the switch.

Method Detail

### isSwitchFor

    protected boolean isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)

  Checks whether this is a switch for the given package.

  Specified by:
    `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Returns:
    whether this is a switch for the given package.

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Overrides:
    `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseValue

    public T caseValue(Value object)

  Returns the result of interpreting the object as an instance of 'Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Value'.
  See Also:
    `doSwitch(EObject)`

### caseIntValue

    public T caseIntValue(IntValue object)

  Returns the result of interpreting the object as an instance of 'Int Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Int Value'.
  See Also:
    `doSwitch(EObject)`

### caseRealValue

    public T caseRealValue(RealValue object)

  Returns the result of interpreting the object as an instance of 'Real Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Real Value'.
  See Also:
    `doSwitch(EObject)`

### caseStringValue

    public T caseStringValue(StringValue object)

  Returns the result of interpreting the object as an instance of 'String Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'String Value'.
  See Also:
    `doSwitch(EObject)`

### caseBooleanValue

    public T caseBooleanValue(BooleanValue object)

  Returns the result of interpreting the object as an instance of 'Boolean Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Boolean Value'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Overrides:
    `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD